Summary:	Red Flag SysStat Tool
Name:		rfsar
Version:	5.0.5
Release:	1.8%{?dist}
Source:		%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Group:		Applications/System
License:	GPL

%description
SysStat tool

%prep
%setup -q

%build
qmake
make

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/rfsar
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Settings/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/

cp rfsar $RPM_BUILD_ROOT/usr/bin
cp rfsar.desktop $RPM_BUILD_ROOT/usr/share/applnk/Settings/
cp rfsar.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp rfsar.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/rfsar.xpm
cp *xpm $RPM_BUILD_ROOT/usr/share/rfsar
cp *.qm $RPM_BUILD_ROOT/usr/share/rfsar

%post

%postun


%files
%defattr(-,root,root)
%attr(755,root,root)
/usr/bin/rfsar
%attr(644,root,root)
/usr/share/applnk/Settings/rfsar.desktop
/usr/share/rfsar/*xpm
/usr/share/rfsar/*.qm
/usr/share/pixmaps/rfsar.xpm
/etc/sysconfig/khwtree/GroupSys/rfsar.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Nov 21 2008 Yang Hong <hongyang@redflag-linux.com> - 5.0.5-1.8
- Merged qm files in SOURCE1-4 into svn.
- Merged two patchs into svn.
- Fixed bug #5468, Install rfsar.desktop into control panel's dir

* Thu Jan 04 2007 Hua Jie <jiehua@redflag-linux.com> 5.0.5-1.7AX
- add a patch from taohe@redflag-linux.com
- to display utilization of the single one of mutiple cpus(Patch NO.1)

* Thu Dec 21 2006 Xiao Liu <xiaoliu@redflag-linux.com> 5.0.5-1.6AX
- Change Desktop can be used other than root with authority

* Fri May 12 2006 Hua Jie <jiehua@redflag-linux.com> 5.0.5-1.5AX
- Change License to GPL

* Tue Nov 8 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1.4
- bugfix: legend bar display ,avg value, sync timelen of legend bar and addsensordlg
- bugfix: when no mdi window, we need disable legendbar
- code clean

* Tue Jul 11 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1.3
- Japanese and Korean translation

* Mon May 16 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1.2
- add sensor pin description label
- bugfix: current sensor with instance don't correctly highlight.
- bugfix: dev and net instance read error

* Mon May 16 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1
- initial version for Asianux 2.0
